API reference OpenAPI 3.1
GET /reports/nsc/template

Download the official blank NSC Compliance Reporting Form

Bearer API key or staff session operation getNscTemplate

Request

This endpoint has no request body.

curl "$MONICHEK_API/reports/nsc/template" \
  -H "Authorization: Bearer $MONICHEK_API_KEY"
const res = await fetch(`${MONICHEK_API}/reports/nsc/template`, {
  method: "GET",
  headers: {
    Authorization: `Bearer ${MONICHEK_API_KEY}`,
  },
});

const data = await res.json();
import os
import requests

res = requests.get(
    f"{os.environ['MONICHEK_API']}/reports/nsc/template",
    headers={"Authorization": f"Bearer {os.environ['MONICHEK_API_KEY']}"},
)
print(res.json())
$ch = curl_init(getenv('MONICHEK_API') . '/reports/nsc/template');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('MONICHEK_API_KEY'),
    ],
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

200 OK DOCX application/vnd.openxmlformats-officedocument.wordprocessingml.document

Binary or streamed response (application/vnd.openxmlformats-officedocument.wordprocessingml.document). Send the request with Accept: application/vnd.openxmlformats-officedocument.wordprocessingml.document and write the body to a file.